rem @echo off
rem
rem Kelp configuration script for Windows
rem
set KELP_VERSION=kelp5
:startProccessing
if "%1" == "-d" goto checkJDeveloper
echo ERROR: Must specify ide type with "-d"
goto usage

:commence
set ENHYDRADIR=%3
set ENHYDRADIR=%ENHYDRADIR:"=%
if exist "%ENHYDRADIR%\lib\enhydra.jar" goto jdkdir
echo ERROR: invalid Enhydra directory
goto usage

:jdkdir
set JDKDIR=%4
set JDKDIR=%JDKDIR:"=%
if exist "%JDKDIR%\lib\dt.jar" goto setup
echo ERROR: invalid JDK directory
goto usage

:setup
set JAVACMD="%JDKDIR%\bin\java.exe"
rem set LOCALCLASSPATH="%ENHYDRADIR%\lib\build.jar"
goto runAntJDeveloper


:runAntJDeveloper
%ENHYDRADIR%\bin\ant -buildfile "%IDEDIR%\%KELP_VERSION%\configure.xml" -DJDEVELOPER="true" -DIDEPATH="%IDEDIR%" -DENHYDRA_DIR="%ENHYDRADIR%" -DWIN="true" -DPLATFORM="windows" -DJDKDIR="%JDKDIR%" -DJDEVELOPERDRIVE="%IDEDRIVE%"  -verbose >"%IDEDIR%\%KELP_VERSION%\dist\inst.log"

goto end

:checkJDeveloper
set IDEDIR=%2
set IDEDIR=%IDEDIR:"=%
set IDEDRIVE=%~d2
goto commence


:usage
echo Usage: configure [-noquiet] idetype idedir enhydradir jdkdir
echo      idetype    - The type of ide you are using kelp with, use a "-d" to 
echo                   indicate JDeveloper
echo      idedir     - The absolute path to the directory containing the
echo                   installation of the ide specified with idetype
echo      enhydradir - The absolute path to your Enhydra installation
echo      jdkdir     - The absolute path to your JDK 1.3 directory
echo      noquiet    - Run Ant in normal info mode
echo      antargs    - Arguments passed through to Ant, e.g. -verbose
goto end

:end
set IDEDIR=
set ENHYDRADIR=
set LOCALCLASSPATH=
set ANT_CMD_LINE_ARGS=
set JDKDIR=
set JAVACMD=%OLD_JAVACMD%