/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 * Paul Mahar
 *
 */

package org.enhydra.kelp.common.node;

import java.io.File;

/**
 * Interface declaration
 *
 *
 * @author Paul Mahar
 */
public interface OtterNode extends PropertyKeys {

    /**
     * Method declaration
     *
     * @param property
     *
     * @return
     */
    abstract public String getProperty(String property);

    /**
     * Method declaration
     *
     *
     * @param property
     * @param value
     */
    abstract public void setProperty(String property, String value);
    abstract public void setProperty(String property, int value);

    /**
     * Method declaration
     *
     *
     * @param javaSource
     */
    abstract public Object getNativeNode();

    /**
     * Method declaration
     *
     *
     * @param o
     */
    abstract public void setNativeNode(Object o);

    abstract public OtterProject getProject();
    abstract public OtterNode getParent();
    abstract public String getXMLCOptionFilePath();
    abstract public void setXMLCOptionFilePath(String n);
    abstract public String getXMLCParameters();
    abstract public void setXMLCParameters(String p);
    abstract public boolean isSelected();
    abstract public void setSelected(boolean b);
    abstract public Throwable getException();
    abstract public void setException(Throwable e);
    abstract public void save();
}

