/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): 
 * Lisa Reese
 */

/*
 * ForteFolderNode.java
 *
 * Created on May 3, 2001, 12:50 PM
 */

package org.enhydra.kelp.forte.node;

// Kelp imports
import org.enhydra.kelp.common.node.OtterFolderNode;
import org.enhydra.kelp.common.node.OtterNode;
//import org.enhydra.

//import org.openide.nodes.Node;
import org.openide.loaders.DataFolder;
import org.openide.loaders.DataObject;
import org.openide.loaders.DataObjectNotFoundException;
import org.openide.filesystems.FileObject;
import org.openide.filesystems.FileSystem;

import java.util.Enumeration;
/**
 *
 * @author  rees0234
 * @version 
 */
public class ForteFolderNode extends ForteNode implements OtterFolderNode {


    public ForteFolderNode(DataFolder nativeNode) {
      super(nativeNode);
    }


    /**
     * Constructor declaration
     *
     *
     * @param otterNode
     * @param name
     */
    public ForteFolderNode(OtterNode parent, String path) 
    {
        super(parent, path);
    }
    
    public String getXMLCOptionFilePath()
    {
        return getProperty(NAME_XMLC_OPTION_FILEPATH);
    }

    public void setXMLCOptionFilePath(String in)
    {
        setProperty(NAME_XMLC_OPTION_FILEPATH, in);
    }

    public String getXMLCParameters()
    {
        return getProperty(NAME_XMLC_PARAMETERS);
    }

    public void setXMLCParameters(String in)
    {
        setProperty(NAME_XMLC_PARAMETERS, in);
    }
    
}
