/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 * Paul Mahar
 *
 */
package org.enhydra.kelp.jdeveloper;

// JDeveloper
import borland.jbuilder.addin.IdeEnvironment;

// ToolBox
import org.enhydra.tool.ToolBoxInfo;
import org.enhydra.tool.common.Browser;
import org.enhydra.tool.common.FileUtil;
import org.enhydra.tool.common.FilenameFilter;
import org.enhydra.tool.common.PathHandle;
import org.enhydra.tool.common.ToolException;

// AddinCore
import org.enhydra.kelp.KelpInfo;

// JDK
import java.io.File;
import java.util.Properties;

//
public class HelpBrowser {
    private static String  helpDoc = null;
    private IdeEnvironment ide = null;
    private Browser        browser = null;

    public HelpBrowser() {
        ide = IdeEnvironment.getInstance();
    }

    public void open(String anchor) {
        StringBuffer buf = new StringBuffer();
        buf.append(getAddinHelpURL());
        buf.append('#');
        buf.append(anchor);
        getBrowser().open(buf.toString());
    }

    private Browser getBrowser() {
        if (browser == null) {
            browser = new Browser();
            browser.setOwner(ide.getIdeFrame());
        }
        return browser;
    }

    private String getAddinHelpURL() {
        if (HelpBrowser.helpDoc == null) {
            HelpBrowser.helpDoc = KelpInfo.getAddinHelpURL(ide.getIdeRootDir());
        }
        return HelpBrowser.helpDoc;
    }

}
