/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.kelp.jdeveloper.properties;

// Standard imports
import javax.swing.*;
import java.awt.*;
import java.beans.*;
import java.awt.event.*;
import java.util.ResourceBundle;

//
public class ActionTabPane extends JPanel {
    static ResourceBundle       res =
        ResourceBundle.getBundle("org.enhydra.kelp.jdeveloper.Res"); // nores
    private GridBagLayout       layoutRoot;
    private JTabbedPane         tabProperty;
    private JPanel              panelButton;
    private GridBagLayout       layoutButton;
    private JButton             buttonCancel;
    private JButton             buttonOK;
    private JPanel              panelFiller;
    private LocalButtonListener buttonListener;

    public ActionTabPane() {
        try {
            jbInit();
            pmInit();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    // PROTECTED
    protected void doOK() {}

    protected void doCancel() {}

    protected void addTab(String caption, JPanel panel) {
        tabProperty.addTab(caption, panel);
    }

    // Private
    private void pmInit() {
        buttonListener = new LocalButtonListener();
        buttonOK.addActionListener(buttonListener);
        buttonCancel.addActionListener(buttonListener);
    }

    private void jbInit() throws Exception {
        layoutRoot =
            (GridBagLayout) Beans.instantiate(getClass().getClassLoader(),
                                              GridBagLayout.class.getName());
        tabProperty =
            (JTabbedPane) Beans.instantiate(getClass().getClassLoader(),
                                            JTabbedPane.class.getName());
        panelButton = (JPanel) Beans.instantiate(getClass().getClassLoader(),
                                                 JPanel.class.getName());
        layoutButton =
            (GridBagLayout) Beans.instantiate(getClass().getClassLoader(),
                                              GridBagLayout.class.getName());
        buttonCancel =
            (JButton) Beans.instantiate(getClass().getClassLoader(),
                                        JButton.class.getName());
        buttonOK = (JButton) Beans.instantiate(getClass().getClassLoader(),
                                               JButton.class.getName());
        panelFiller = (JPanel) Beans.instantiate(getClass().getClassLoader(),
                                                 JPanel.class.getName());

        //
        buttonCancel.setText(res.getString("Cancel"));
        buttonOK.setText(res.getString("OK"));

        //
        panelButton.setLayout(layoutButton);
        panelButton.add(buttonCancel,
                        new GridBagConstraints(2, 0, 1, 1, 0.0, 0.0,
                                               GridBagConstraints.CENTER,
                                               GridBagConstraints.NONE,
                                               new Insets(5, 5, 5, 10), 0,
                                               0));
        panelButton.add(buttonOK,
                        new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0,
                                               GridBagConstraints.CENTER,
                                               GridBagConstraints.NONE,
                                               new Insets(5, 5, 5, 5), 0, 0));
        panelButton.add(panelFiller,
                        new GridBagConstraints(0, 0, 1, 1, 0.1, 0.1,
                                               GridBagConstraints.CENTER,
                                               GridBagConstraints.BOTH,
                                               new Insets(10, 10, 10, 10), 0,
                                               0));

        //
        this.setLayout(layoutRoot);
        this.add(tabProperty,
                 new GridBagConstraints(0, 0, 1, 1, 0.1, 0.4,
                                        GridBagConstraints.CENTER,
                                        GridBagConstraints.BOTH,
                                        new Insets(10, 10, 5, 10), 0, 0));
        this.add(panelButton,
                 new GridBagConstraints(0, 1, 1, 1, 0.1, 0.0,
                                        GridBagConstraints.CENTER,
                                        GridBagConstraints.BOTH,
                                        new Insets(5, 10, 10, 10), 0, 0));
    }

    class LocalButtonListener implements ActionListener {
        public void actionPerformed(ActionEvent e) {
            Object source = e.getSource();

            if (source == buttonOK) {
                doOK();
            } else if (source == buttonCancel) {
                doCancel();
            }
        }

    }
}
