/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 * Paul Mahar
 *
 */
package org.enhydra.tool.archive;

//
public interface PropertyKeys {

    // jar
    public final String PATH = "path.";
    public final String LIBRARY_PROP = "library.";
    public final String CLASS = "class.";
    public final String CLASS_ROOT_PROP =
        ManifestKeys.CLASS_ROOT.toLowerCase() + ".";

    // war
    public final String CONTENT_ROOT_PROP =
        ManifestKeys.CONTENT_ROOT.toLowerCase() + ".";
    public final String CONTENT = "content.";

    // ear
    public final String WEBAPP_CONTEXT_PROP = "webapp.context.";
    public final String WEBAPP_MODULE_PROP = "webapp.module.";
    public final String ENTERPRISE_MODULE_PROP = "enterprise.module.";
    public final String APP_NAME_PROP = ManifestKeys.APP_NAME.toLowerCase()
                                        + '.';
    public final String APP_DESC_PROP = ManifestKeys.APP_DESC.toLowerCase()
                                        + '.';

    public final String COPY_CLIENT_PROP =
        ManifestKeys.COPY_CLIENT.toLowerCase() + ".";
    public final String ALT_DD_PROP = ManifestKeys.ALT_DD.toLowerCase() + ".";
    public final String META_DD_PROP = "app-meta-dd.";

    // ejb
    public final String CREATE_CLIENT_PROP =
        ManifestKeys.CREATE_CLIENT.toLowerCase() + ".";
}
