/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 * Paul Mahar
 *
 */
package org.enhydra.tool.archive.wizard;

//
import org.enhydra.tool.archive.ArchiveException;
import org.enhydra.tool.archive.JarPlan;
import org.enhydra.tool.archive.WarPlan;

//
import java.awt.*;
import java.beans.Beans;
import java.io.File;
import javax.swing.*;

//
public class LibraryPanel extends ArchivePanel {
    private BorderLayout          layoutMain = null;
    private OneColumnFileSelector selectorPanel = null;

    public LibraryPanel() {
        try {
            jbInit();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    public void readPlan(JarPlan plan) throws ArchiveException {
        selectorPanel.setSelections(plan.getLibFiles());
    }

    public void writePlan(JarPlan plan) throws ArchiveException {
        plan.setLibFiles(selectorPanel.getSelections());
    }

    public String getPageTitle() {
        return "Libraries";
    }

    public String getInstructions() {
        StringBuffer buf = new StringBuffer();

        buf.append("Select libraries to include in archive");
        return buf.toString();
    }

    // override ArchivePanel
    protected void setWizard(ArchiveWizard wizard) {
        super.setWizard(wizard);
        selectorPanel.setWizard(wizard);
    }

    private void jbInit() throws Exception {
        layoutMain =
            (BorderLayout) Beans.instantiate(getClass().getClassLoader(),
                                             BorderLayout.class.getName());
        selectorPanel =
            (OneColumnFileSelector) Beans.instantiate(getClass().getClassLoader(),
                OneColumnFileSelector.class.getName());
        this.setLayout(layoutMain);
        this.add(selectorPanel, BorderLayout.CENTER);
    }

}
