package org.enhydra.tool.archive.xml;

//
import org.w3c.dom.Element;
//
public class EjbDescriptorHandler extends AbstractDescriptorHandler {
    private final String DESC_NAME = "description";
    private final String DESC_VALUE = "no description";
    private final String DISPLAY_NAME = "display-name";
    private final String DISPLAY_VALUE = "Ejb1";
    private final String ENTERPRISE_BEANS = "enterprise-beans";
    private final String PUBLIC_ID =
        "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 1.1//EN";
    private final String SYSTEM_ID =
        "http://java.sun.com/j2ee/dtds/ejb-jar_1_1.dtd";

    //
    //
    public static void main(String[] args) {
        EjbDescriptorHandler prep = new EjbDescriptorHandler();

        prep.setSource("d:/test/simple/test2.xml");
        prep.setOutStream(System.out);
        try {
            prep.prep();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    //
    protected String getSystemID() {
        return SYSTEM_ID;
    }

    protected String getPublicID() {
        return PUBLIC_ID;
    }

    protected void prepElements() {
        prepDescription();
        prepDisplayName();
        prepEnterpriseBeans();
    }

    private void prepDescription() {
        Element element = null;

        element = lookup(getDoc().getDocumentElement(), DESC_NAME);
        if (element == null) {
            element = getDoc().createElement(DESC_NAME);
            element.appendChild(getDoc().createTextNode(DESC_VALUE));
            getDoc().getDocumentElement().appendChild(element);
        }
    }

    private void prepDisplayName() {
        Element element = null;

        element = lookup(getDoc().getDocumentElement(), DISPLAY_NAME);
        if (element == null) {
            element = getDoc().createElement(DISPLAY_NAME);
            element.appendChild(getDoc().createTextNode(DISPLAY_VALUE));
            getDoc().getDocumentElement().appendChild(element);
        }
    }

    private void prepEnterpriseBeans() {
        Element element = null;

        element = lookup(getDoc().getDocumentElement(), ENTERPRISE_BEANS);
        if (element == null) {
            element = getDoc().createElement(ENTERPRISE_BEANS);
            getDoc().getDocumentElement().appendChild(element);
        }
    }

}
