/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 * Paul Mahar
 *
 */
package org.enhydra.tool.codegen.internal;

// ToolBox imports
import org.enhydra.tool.codegen.ProjectOptionSet;
import org.enhydra.tool.codegen.GeneratorException;
import org.enhydra.tool.codegen.GeneratorOption;

// Standard imports
import java.util.ResourceBundle;
public class ServiceOptionSet extends ProjectOptionSet {

     private final String        DEF_SERVICE = "Untitled";      // nores
    /**
     * Property name for the project name option.
     */
    public static final String  SERVICE = "service";            // nores

    /**
     * MBean support
     */
    public static final String MBEAN = "mbean";    // nores

    public ServiceOptionSet() {
        super();
        try {
            add (new GeneratorOption (SERVICE, DEF_SERVICE,
                                           "SERVICE",
                                           "The name for the SERVICE classes",
                                           true, true));
            add(new GeneratorOption(MBEAN, true, "MBean support", false));
        } catch (GeneratorException e) {
            e.printStackTrace();
        }
    }

}
